# particle\_animation

## `particle_animation`

**触发效果**[**​**](https://plugins.auxilor.io/effects/all-effects/particle_animation#triggered-effect)

播放粒子动画。

### 动画列表 <a href="#list-of-animations" id="list-of-animations"></a>

| ID              | 描述                            | 参数                                                                                                                                                                                                                   |
| --------------- | ----------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `trace`         | 从（触发器属性中的）坐标位置到玩家所在位置处发射一条直线。 | `spacing` 粒子间的间距                                                                                                                                                                                                     |
| `ground_spiral` | 在地面上生成螺旋形状的粒子效果。              | <p><code>scalar</code> 螺旋的X/Y比例</p><p><code>distance-scalar</code> 螺线之间的距离<br><code>duration</code> 动画的时长，以tick为单位</p>                                                                                               |
| `circle`        | 绘制圆形粒子。                       | <p><code>radius</code> 圆的半径<br><code>duration</code> 绘制动画的时长，以tick为单位<br><code>height</code> 动画所在高度比触发器属性中的坐标位置高多少格<br><code>pitch</code> 圆圈的俯仰角，以度为单位<br><code>roll</code> 圆圈的翻滚角，以度为单位</p>                         |
| `helix`         | 绘制螺旋粒子。                       | <p><code>height</code> 螺旋的高度<br><code>duration</code> 绘制动画的时长，以tick为单位<br><code>speed</code> 绘制动画的速度<br><code>radius</code> 螺旋的半径</p>                                                                                |
| `double_helix`  | 绘制双螺旋粒子。                      | 同上                                                                                                                                                                                                                   |
| `twirl`         | 旋转粒子（双重扩展螺旋）。                 | <p><code>small-radius</code> 小螺线半径<br><code>large-radius</code> 大螺线半径<br><code>duration</code>  绘制动画的时长，以tick为单位<br><code>start-height</code> 开始高度<br><code>end-height</code> 结束高度<br><code>speed</code> 绘制动画的速度</p> |

## 示例配置

```yaml
- id: particle_animation
  args:
    particle: soul # 生成的粒子，粒子ID见https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Particle.html
    particle-amount: 1 # 每个点生成的粒子数量
    animation: ground_spiral # 动画ID
    tick-multiplier: 1 # 可选，动画效果倍速播放
    entity: player # 可选，粒子动画释放的目标。可以是 player（玩家）、victim（对象）、projectile（抛掷物）
    use-eye-location: true # 可选，将目标所在的坐标设置为实体眼睛所在位置，而不是默认的在地上（实体脚下）
    particle_args: # 动画参数
      scalar: 1.618
      distance-scalar: 0.5
      duration: 20
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/suo-you-xiao-guo/particle_animation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
